DSGTools

Join the chat at https://gitter.im/DsgTools/Lobby

branch status
master Build Status
dev Build Status

DSGTools Plugin (English Version)

DSGTools is a QGIS plugin that allow users to create and manipulate Geospatial Data according to Brazilian Law (ET-EDGV 2.1.3 and ET-EDGV 3.0). DSGTools aims to provide tools not only to Brazilian Army, but to GIS comunity in general.

Current changelog can be viewed on https://github.com/dsgoficial/DsgTools/wiki (portuguese only, for now).

DSGTools 4.1 has the following features:

Requirements for LINUX (Ubuntu/Debian):

Install the following packages as follows:

sudo apt-get install libqt5sql5-psql
sudo apt-get install libqt5sql5-sqlite

For further information, go to https://github.com/dsgoficial/DsgTools/wiki or http://www.geoportal.eb.mil.br/index.php/qgis-menu/dsgtools/dsgtools-generalidades


Complemento DSGTools (Versão em Português)

O DSGTools é um complemento para o QGIS (http://qgis.org/pt_BR/site/) que permite aos usuários a criação e utilização de produtos cartográficos de acordo com as especificações da ET-EDGV 2.1.3 e da ET-EDGV Defesa F Ter 2ª Edição. O DSGTools visa atender não apenas o Exército Brasileiro, mas também produtores e usuários de geoinformação da sociedade. Este projeto visa cumprir a missão estabelecida no Plano Estratégico do Exército 2016-2019 (PEEx 2016-2019), relativo ao seguinte Objetivo Estratégico do Exército (OEE):

O plugin foi todo desenvolvido em python e está disponível para download pelo próprio QGIS ou pelo endereço http://plugins.qgis.org/plugins/DsgTools/.

Estão disponíveis as seguintes funcionalidades no plugin em sua versão 3.1 (changelog completo disponível em https://github.com/dsgoficial/DsgTools/wiki ):

Para maiores informações, acesse https://github.com/dsgoficial/DsgTools/wiki ou http://www.geoportal.eb.mil.br/index.php/qgis-menu/dsgtools/dsgtools-generalidades

Dependências a serem instaladas (Ubuntu/Debian):

Instalar os seguintes pacotes de acordo com o código abaixo:

sudo apt-get install libqt5sql5-psql
sudo apt-get install libqt5sql5-sqlite